%define anolis_release 1
Name:           perl-Text-Balanced
Version:        2.06
Release: %{anolis_release}%{dist}
Summary:        Extract delimited text sequences from strings
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-Balanced
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHAY/Text-Balanced-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(overload)
BuildRequires:  perl(vars)
# Tests:
BuildRequires:  perl(Test::More) >= 0.47
Conflicts:      perl < 4:5.22.0

%description
These Perl subroutines may be used to extract a delimited substring, possibly
after skipping a specified prefix string.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Text-Balanced-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING
make test

%files
%license LICENCE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog 
* Fri Feb 10 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.06-1
- update to version 2.06

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.04-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.04-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 2.04-1
- Init package from upstream v2.04
